/**
 * A model for the normal distribution.
 */
export declare class SkillGaussian {
    pi: number;
    tau: number;
    /**
     * @param pi - Precision, the inverse of the variance.
     * @param tau - Precision adjusted mean, the precision multiplied by the mean
     */
    constructor(mu?: number | null, sigma?: number | null, pi?: number, tau?: number);
    /**
     * A property which returns the mean.
     */
    get mu(): number;
    get sigma(): number;
    mul(other: SkillGaussian): SkillGaussian;
    div(other: SkillGaussian): SkillGaussian;
    toString(): string;
}
